

module World
        ( makeLights
        , makeObjects)
where 
import Object
import Light
import Vec3


-- | Lights in the world
makeLights :: Float -> [Light]
makeLights _ =
        [ Light
                (300.0,    (-300.0), (-100.0))
                (150000.0, 150000.0, 150000.0) ]


-- | Objects in the world
makeObjects :: Float -> [Object]
makeObjects time =
        [ Sphere 
                (40 * sin time, 80, 0.0)
                20
                (1.0, 0.3, 1.0)
                0.4
                
        , Sphere
                ( 200 * sin time
                , (-40) * sin (time + pi/2)
                , 200 * cos time)
                100.0
                (0.4, 0.4, 1.0)
                0.8

        , Sphere
                (-200.0 * sin time
                , (-40) * sin (time - pi/2)
                , -200 * cos time)
                100.0
                (0.4, 0.4, 1.0)
                0.5

        , Sphere
                (0.0, -150.0, -100.0) 50.0
                (1.0, 1.0,    1.0)
                0.8
                
        , PlaneCheck
                (0.0, 100.0, 0.0)
                (normaliseV3 (0, -1, -0.2))
                0.2

        ]
